<?php
/* Busqueda de registros de la tabla MST_ClaseFamilia redefinidos por el usuario. */
class MST_ClaseFamiliaFN extends BaseMST_ClaseFamiliaFN
{
    public static function recuperarIdFamilia($IdLinea)
    {
        //$s_Sql = "SELECT IF( MAX( IdFamilia) IS NULL, 1, MAX( IdFamilia ) + 1 ) i_Id FROM MST_ClaseFamilia WHERE idLinea ='".$IdLinea."';";
        $s_Sql = "SELECT IF( MAX( IdFamilia) IS NULL, 1, MAX( IdFamilia ) + 1 ) i_Id FROM MST_ClaseFamilia;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }

    public static function selectActivos( $IdLinea=null )
    {
        $o_MST_ClaseFamiliaFN = new MST_ClaseFamiliaFN();
        $o_MST_ClaseFamiliaFN->setEstado( "A" );
        if( $IdLinea )
        {
            $o_MST_ClaseFamiliaFN->setIdLinea( $IdLinea );
        }
        $o_MST_ClaseFamiliaFN->addOrderBy( MST_ClaseFamiliaFN::Descripcion );
        return $o_MST_ClaseFamiliaFN->select();
    }
}
?>